/** @overview nodeunit test case. */

var testResource = require('../../../test_resource'),
    _enhanceObject = require('../../../../serverside/middleware/_enhance_object.js');

exports.setUp = function (done) {
    done();
};

exports.tearDown = function (done) {
    done();
};


exports['Enhance object.'] = function (test) {
    var obj = {foo: 'bar'}, enhance = {baz: 'quz'};
    _enhanceObject(obj, enhance);
    test.equal(obj.baz, 'quz');
    test.done();
};